curl -X PUT "https://app.runtm.com/api/cloud/user/instructions" \
-H "Authorization: Bearer runtm_xxx" \
-H "Content-Type: application/json" \
-d '{
"instructions": "Always use TypeScript. Prefer functional components with hooks."
}'
import requests
resp = requests.put(
"https://app.runtm.com/api/cloud/user/instructions",
headers={
"Authorization": "Bearer runtm_xxx",
"Content-Type": "application/json",
},
json={"instructions": "Always use TypeScript. Prefer functional components with hooks."},
)
print(resp.json())
const resp = await fetch("https://app.runtm.com/api/cloud/user/instructions", {
method: "PUT",
headers: {
Authorization: "Bearer runtm_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({
instructions: "Always use TypeScript. Prefer functional components with hooks.",
}),
});
const data = await resp.json();
{
"instructions": "Always use TypeScript. Prefer functional components with hooks.",
"updated_at": "2026-05-09T18:00:00Z"
}
Context
Set User Instructions
Set or clear the custom instructions for the authenticated user.
PUT
/
api
/
user
/
instructions
curl -X PUT "https://app.runtm.com/api/cloud/user/instructions" \
-H "Authorization: Bearer runtm_xxx" \
-H "Content-Type: application/json" \
-d '{
"instructions": "Always use TypeScript. Prefer functional components with hooks."
}'
import requests
resp = requests.put(
"https://app.runtm.com/api/cloud/user/instructions",
headers={
"Authorization": "Bearer runtm_xxx",
"Content-Type": "application/json",
},
json={"instructions": "Always use TypeScript. Prefer functional components with hooks."},
)
print(resp.json())
const resp = await fetch("https://app.runtm.com/api/cloud/user/instructions", {
method: "PUT",
headers: {
Authorization: "Bearer runtm_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({
instructions: "Always use TypeScript. Prefer functional components with hooks.",
}),
});
const data = await resp.json();
{
"instructions": "Always use TypeScript. Prefer functional components with hooks.",
"updated_at": "2026-05-09T18:00:00Z"
}
Sets the user’s custom instructions. Pass
null to clear existing instructions. When an organization context is provided, updates the user’s instructions scoped to that organization.
Required scope: context:write
string
required
Bearer token.
Authorization: Bearer runtm_xxxstring
Include to update instructions scoped to an organization context. Omit for personal instructions.
string
required
The custom instructions text. Pass
null to clear.string
The updated instructions text. Null if cleared.
string
ISO 8601 timestamp of the update.
curl -X PUT "https://app.runtm.com/api/cloud/user/instructions" \
-H "Authorization: Bearer runtm_xxx" \
-H "Content-Type: application/json" \
-d '{
"instructions": "Always use TypeScript. Prefer functional components with hooks."
}'
import requests
resp = requests.put(
"https://app.runtm.com/api/cloud/user/instructions",
headers={
"Authorization": "Bearer runtm_xxx",
"Content-Type": "application/json",
},
json={"instructions": "Always use TypeScript. Prefer functional components with hooks."},
)
print(resp.json())
const resp = await fetch("https://app.runtm.com/api/cloud/user/instructions", {
method: "PUT",
headers: {
Authorization: "Bearer runtm_xxx",
"Content-Type": "application/json",
},
body: JSON.stringify({
instructions: "Always use TypeScript. Prefer functional components with hooks.",
}),
});
const data = await resp.json();
{
"instructions": "Always use TypeScript. Prefer functional components with hooks.",
"updated_at": "2026-05-09T18:00:00Z"
}